﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace getprice
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_DisplayPrice(object sender, RoutedEventArgs e)
        {
            string ticker = tickerSymbol.Text;
            Task<double> task = new Task<double>(() => YahooFinance.GetPrice(ticker));
            task.ContinueWith(complatedTask => DisplayResult(complatedTask.Result));
            task.Start();
        }

        private void DisplayResult(object result)
        {
            priceLabel.Dispatcher.Invoke(() => priceLabel.Content = String.Format("${0}", result));
        }
    }
}
