﻿//YahooFinance.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading;
using System.Threading.Tasks;

public class YahooFinance
{
    public static double GetPrice(string ticker)
    {
        WebClient webClient = new WebClient();
        string data = webClient.DownloadString("http://ichart.finance.yahoo.com/table.csv?s=" + ticker);
        data = data.Split(new char[] { '\n' })[1];
        string[] dataItems = data.Split(new char[] { ',' });
        return Double.Parse(dataItems[dataItems.Length - 1]);
    }

    internal async static Task<string> GetPriceAsync(string ticker)
    {
        var threadInfo = "";
        double price = await Task<double>.Run(() =>
        {
            threadInfo = Thread.CurrentThread.ManagedThreadId.ToString();
            return GetPrice(ticker);
        });

        return String.Format("${0} - from thread {1}", price, threadInfo);
    }
}
