﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace getprice
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private async void Button_DisplayPrice(object sender, RoutedEventArgs e)
        {
            //Try with MSFT for ticker, then with blah for ticker
            Button button = (Button)sender;
            button.IsEnabled = false;
            try
            {
                var result = await YahooFinance.GetPriceAsync(tickerSymbol.Text);
                priceLabel.Content = String.Format("${0}", result);
            }
            catch (Exception ex)
            {
                priceLabel.Content = ex.Message;
            }
            finally
            {
                button.IsEnabled = true;
            }
        }
    }
}
